<?php

namespace FiloBlu\ExtViSualMerchandiser\Block\Adminhtml\Widget\Tile\Attribute;

use FiloBlu\ExtViSualMerchandiser\Block\Adminhtml\Widget\Tile\Attribute\Renderer\Name;
use FiloBlu\ExtViSualMerchandiser\Block\Adminhtml\Widget\Tile\Attribute\Renderer\Sku;
use FiloBlu\ExtViSualMerchandiser\Block\Adminhtml\Widget\Tile\Attribute\Renderer\Stock;
use FiloBlu\ExtViSualMerchandiser\Block\Adminhtml\Widget\Tile\Attribute\Renderer\Price;

/**
 * Class Factory
 * @package FiloBlu\ExtViSualMerchandiser\Block\Adminhtml\Widget\Tile\Attribute
 */
class Factory extends \Magento\VisualMerchandiser\Block\Adminhtml\Widget\Tile\Attribute\Factory
{
    /**
     * @return array
     */
    protected function _prepareAttributeRenderers()
    {
        $renderers = parent::_prepareAttributeRenderers();

        $renderers['stock'] = ['renderer' => Stock::class];
        $renderers['name'] = ['renderer' => Name::class];
        $renderers['price'] = ['renderer' => Price::class];
        $renderers['sku'] = ['renderer' => Sku::class];

        return $renderers;
    }
}
